import { Repository } from 'typeorm';
import { EnergyTransferBlock } from '../EnergyTransferBlock';
import { ICreateNewCommand, EnergyTransferBlockRepository, IUpdateWithCertificateIdCommand } from './EnergyTransferBlock.repository';
export declare class EnergyTransferBlockEntity implements EnergyTransferBlock {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    sellerId: string;
    buyerId: string;
    generatorId: string;
    volume: string;
    certificateId: number | null;
    isCertificatePersisted: boolean;
}
export declare class EnergyTransferBlockPostgresRepository implements EnergyTransferBlockRepository {
    private repository;
    constructor(repository: Repository<EnergyTransferBlockEntity>);
    createNew(command: ICreateNewCommand): Promise<EnergyTransferBlock>;
    updateWithCertificateId(command: IUpdateWithCertificateIdCommand): Promise<void>;
}
