"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnergyTransferBlockPostgresRepository = exports.EnergyTransferBlockEntity = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const typeorm_2 = require("typeorm");
let EnergyTransferBlockEntity = class EnergyTransferBlockEntity {
};
__decorate([
    typeorm_2.PrimaryGeneratedColumn(),
    __metadata("design:type", Number)
], EnergyTransferBlockEntity.prototype, "id", void 0);
__decorate([
    typeorm_2.CreateDateColumn(),
    __metadata("design:type", Date)
], EnergyTransferBlockEntity.prototype, "createdAt", void 0);
__decorate([
    typeorm_2.UpdateDateColumn(),
    __metadata("design:type", Date)
], EnergyTransferBlockEntity.prototype, "updatedAt", void 0);
__decorate([
    typeorm_2.Column({ type: 'text' }),
    __metadata("design:type", String)
], EnergyTransferBlockEntity.prototype, "sellerId", void 0);
__decorate([
    typeorm_2.Column({ type: 'text' }),
    __metadata("design:type", String)
], EnergyTransferBlockEntity.prototype, "buyerId", void 0);
__decorate([
    typeorm_2.Column({ type: 'text' }),
    __metadata("design:type", String)
], EnergyTransferBlockEntity.prototype, "generatorId", void 0);
__decorate([
    typeorm_2.Column({ type: 'text' }),
    __metadata("design:type", String)
], EnergyTransferBlockEntity.prototype, "volume", void 0);
__decorate([
    typeorm_2.Column({ type: 'int4', nullable: true }),
    __metadata("design:type", Object)
], EnergyTransferBlockEntity.prototype, "certificateId", void 0);
__decorate([
    typeorm_2.Column({ type: 'boolean' }),
    __metadata("design:type", Boolean)
], EnergyTransferBlockEntity.prototype, "isCertificatePersisted", void 0);
EnergyTransferBlockEntity = __decorate([
    typeorm_2.Entity()
], EnergyTransferBlockEntity);
exports.EnergyTransferBlockEntity = EnergyTransferBlockEntity;
let EnergyTransferBlockPostgresRepository = class EnergyTransferBlockPostgresRepository {
    constructor(repository) {
        this.repository = repository;
    }
    async createNew(command) {
        const { buyerId, sellerId, volume, generatorId } = command;
        const entity = await this.repository.create({
            buyerId,
            sellerId,
            volume,
            generatorId,
            certificateId: null,
            isCertificatePersisted: false
        });
        return await this.repository.save(entity);
    }
    async updateWithCertificateId(command) {
        await this.repository.update({ id: command.blockId }, { certificateId: command.certificateId });
    }
};
EnergyTransferBlockPostgresRepository = __decorate([
    common_1.Injectable(),
    __param(0, typeorm_1.InjectRepository(EnergyTransferBlockEntity)),
    __metadata("design:paramtypes", [typeorm_2.Repository])
], EnergyTransferBlockPostgresRepository);
exports.EnergyTransferBlockPostgresRepository = EnergyTransferBlockPostgresRepository;
//# sourceMappingURL=EnergyTransferBlockPostgres.repository.js.map